import request from "utils/request";

/***** 字典 *****/

//  字典--获取通用字典值
export function getCurrencyDictionary (object) {
    return request({
        url: '/device/dictDetail/getLabelByCode',
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取系统数据
export function getSystemTreeDictionary (object) {
    return request({
        url: '/device/patrolSystem/getPatrolSystemTree',
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取级别数据
export function getLevelDictionary (object) {
    return request({
        url: '/device/deviceLevel/getDeviceLevelTree',
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取区域数据
export function getAreaDictionary (object) {
    return request({
        url: `/device/area/getLabelAndValueList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取系统数据
export function getSystemDictionary (object) {
    return request({
        url: `/device/patrolSystem/getLabelAndValueList`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  字典--获取项目数据
export function getProjectDictionary (object) {
    return request({
        url: `/device/projectTab/getLabelAndValueList/${object.areaId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取机房数据
export function getMachineChamberDictionary (object) {
    return request({
        url: `/device/address/getLabelAndValueList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取负责人数据
export function getLeaderDictionary (object) {
    return request({
        url: `/device/rule/managerLabelAndValueList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取路址数据
export function getLocationDictionary (object) {
    return request({
        url: `/device/address/getLocationTree/${object.projectId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取片区数据
export function getRepairTeamDictionary (object) {
    return request({
        url: `/device/repairTeam/getLabelAndValueList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取工艺路线数据
export function getProcessRouteDictionary (object) {
    return request({
        url: `/device/deviceCraft/getLabelAndValueList`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  字典--获取工艺路线关联类型数据
export function getRouteTypeDictionary (object) {
    return request({
        url: `/device/jywsRoomCraft/getSystemAndLevelByCid`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取设备列表路址数据
export function getAddressDictionary (object) {
    return request({
        url: `/device/role/getHouseAddr`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  字典--获取关闭原因字典值
export function getCloseReasonDictionary (object) {
    return request({
        url: `/device/ruleTask/closeApplyReaseonDictList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
