import request from "utils/request";
import download from "utils/download";

/***** 房间管理 *****/

//  房间管理--获取房间分页表格
export function getTableListOfRoom (object) {
    return request({
        url: `/device/jywsRoom/selectRoomPageList`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  房间管理--获取房间详情
export function getDetailDataOfRoom (object) {
    return request({
        url: `/device/jywsRoom/selectRoomDetailById/${object.roomId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  房间管理--获取房间详情资产列表
export function getAssetsTableListOfRoom (object) {
    return request({
        url: `/device/jywsRoom/selectRoomDetailAssetsPageListById`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  房间管理--提交编辑资产表单
export function submitEditAssetsFormOfRoom (object) {
    return request({
        url: `/device/jywsRoom/updateRoomAssetsById`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  房间管理--提交删除资产表单
export function submitDeleteAssetsFormOfRoom (object) {
    return request({
        url: `/device/jywsRoom/deleteRoomAssetsById/${object.assetsId}`,
        method: 'delete',
        data: object,
        type: 'JSON'
    })
}

/***** 计划管理 *****/

//  计划管理--获取计划分页表格
export function getTableListOfPlan (object) {
    return request({
        url: `/device/rule/queryRulePage`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交新增计划表单
export function submitAddFormOfPlan (object) {
    return request({
        url: `/device/rule/saveRule`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交编辑计划表单
export function submitEditFormOfPlan (object) {
    return request({
        url: `/device/rule/editRule/${object.patrolRuleId}`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--获取计划详情
export function getDetailDataOfPlan (object) {
    return request({
        url: `/device/rule/byId/${object.patrolRuleId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  计划管理--获取计划详情下设备数据
export function getDetailDeviceListOfPlan (object) {
    return request({
        url: `/device/rule/getDeviceList`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  计划管理--获取计划详情下操作记录
export function getDetailHandleListOfPlan (object) {
    return request({
        url: `/device/rule/getRuleRelayRecord/${object.patrolRuleId}/${object.pageSize}/${object.pageIndex}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  计划管理--提交批量删除计划表单
export function submitBatchDeleteFormOfPlan (object) {
    return request({
        url: `/device/rule/batchDeleteById`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交批量暂停、开启计划表单
export function submitBatchPauseFormOfPlan (object) {
    return request({
        url: `/device/jywsRoomRule/processRule/${object.flag}`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交查看设备排序表单
export function submitDeviceSortFormOfPlan (object) {
    return request({
        url: `/device/jywsRoomRule/relevanceDevicesAndSaveOrder/${object.patrolRuleId}`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交批量关联设备表单
export function submitBatchRelevanceFormOfPlan (object) {
    return request({
        url: `/device/rule/relevanceDevices`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--提交批量去除关联设备表单
export function submitBatchRemoveFormOfPlan (object) {
    return request({
        url: `/device/rule/removeDevices`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--导出计划
export function downloadTableListOfPlan (object) {
    return download({
        url: `/device/rule/exportPatrolRule`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  计划管理--导出导入模板
export function downloadImportMouldOfPlan (object) {
    return download({
        url: `/device/rule/downloadPlanTemplate`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}

/***** 任务管理 *****/

//  任务管理--获取任务分页表格
export function getTableListOfTask (object) {
    return request({
        url: `/device/jywsRoomTask/pageList`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--获取任务详情
export function getDetailDataOfTask (object) {
    return request({
        url: `/device/jywsRoomTask/getTaskDetail/${object.taskId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--获取任务详情下巡检记录
export function getInspectListOfTask (object) {
    return request({
        url: `/device/taskDetails/getRecordLog/${object.taskId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--获取任务详情下操作记录
export function getHandleListOfTask (object) {
    return request({
        url: `/device/taskDetails/getTaskRelayRecord/${object.taskId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--提交申请关闭表单
export function submitCloseFormOfTask (object) {
    return request({
        url: `/device/ruleTask/applyCloseTask/${object.taskId}`,
        method: 'post',
        data: object,
        params: object,
        type: 'JSON'
    })
}
//  任务管理--获取申请关闭信息
export function getCloseInfoOfTask (object) {
    return request({
        url: `/device/ruleTask/findApplyCloseDetails/${object.taskId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--提交审核关闭表单
export function submitApprovalFormOfTask (object) {
    return request({
        url: `/device/ruleTask/auditClosedTask`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--获取转发人信息
export function getSendListOfTask (object) {
    return request({
        url: `/device/ruleTask/getNormalUserListDataByProjectid/${object.projectId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--提交转发表单
export function submitSendFormOfTask (object) {
    return request({
        url: `/device/jywsRoomTask/relayTaskList/${object.followUser}`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--获取销单信息
export function getDestroyListOfTask (object) {
    return request({
        url: `/device/ruleTask/getDestroyTaskInfo/${object.taskId}`,
        method: 'get',
        params: object,
        type: 'JSON'
    })
}
//  任务管理--提交单条销单表单
export function submitSingleDestroyFormOfTask (object) {
    return request({
        url: `/device/ruleTask/destroyTask/${object.taskIds}`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--提交批量销单表单
export function submitBatchDestroyFormOfTask (object) {
    return request({
        url: `/device/ruleTask/destroyTaskBatch`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--提交批量删除表单
export function submitDeleteFormOfTask (object) {
    return request({
        url: `/device/jywsRoomTask/deleteBatch`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
//  任务管理--导出任务
export function downloadTaskTableList (object) {
    return download({
        url: `/device/jywsRoomTask/export`,
        method: 'post',
        data: object,
        type: 'JSON'
    })
}
