import { defineAsyncComponent } from 'vue'
import { createRouter,createWebHashHistory } from 'vue-router'

export const routers = createRouter({
    history: createWebHashHistory(),
    routes: [
        {
            path: '/',
            name: '登录页',
            component: defineAsyncComponent(() => import('../views/login.vue'))
        },
        {
            path: '/index',
            name: '首页',
            component: defineAsyncComponent(() => import('../views/index.vue')),
            children: [
                {
                    path: '/404',
                    name: '页面不存在',
                    component: defineAsyncComponent(() => import('../views/error/404.vue'))
                },
                {
                    path: '/home',
                    name: '主页',
                    component: defineAsyncComponent(() => import('../views/home/index.vue'))
                },
                {
                    path: '/room/deviceType',
                    name: '设备类型',
                    component: defineAsyncComponent(() => import('../views/device/deviceType.vue'))
                },
                {
                    path: '/room/deviceStandard',
                    name: '标准设置',
                    component: defineAsyncComponent(() => import('../views/device/standardInstall.vue'))
                },
                {
                    path: '/room/address',
                    name: '设备空间',
                    component: defineAsyncComponent(() => import('../views/device/deviceSpace.vue'))
                },
                {
                    path: '/room/craft',
                    name: '工艺路线',
                    component: defineAsyncComponent(() => import('../views/device/processRoute.vue'))
                },
                {
                    path: '/room/device',
                    name: '设备列表',
                    component: defineAsyncComponent(() => import('../views/device/deviceList.vue'))
                },
                {
                    path: '/room/room',
                    name: '房间管理',
                    component: defineAsyncComponent(() => import('../views/maintain/roomManage.vue'))
                },
                {
                    path: '/room/plan',
                    name: '客房维保计划',
                    component: defineAsyncComponent(() => import('../views/maintain/roomPlan.vue'))
                },
                {
                    path: '/room/task',
                    name: '客房维保任务',
                    component: defineAsyncComponent(() => import('../views/maintain/roomTask.vue'))
                },
            ]
        },
    ],
})
