/**
 * 时间转日期
 * type 00: yy-mm-dd 00:00:00
 * type 59: yy-mm-dd 23:59:59
 * */
export function formatFullDateTime (date) {
  let time = new Date(date)
  let Y = time.getFullYear() + '-'
  let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  let D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate()) + ' '
  let h = (time.getHours() < 10) ? '0' + time.getHours() + ':' : time.getHours() + ':'
  let m = (time.getMinutes() < 10) ? '0' + time.getMinutes() + ':' : time.getMinutes() + ':'
  let s = (time.getSeconds() < 10) ? '0' + time.getSeconds() : time.getSeconds()
  return Y + M + D + h + m + s
}

export function formatFullDate (date) {
  let time = new Date(date)
  let Y = time.getFullYear() + '-'
  let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  let D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate())
  return Y + M + D
}

export function formatFullTime (date) {
  let time = new Date(date)
  let H = (time.getHours() < 10) ? '0' + time.getHours() + ':' : time.getHours() + ':'
  let M = (time.getMinutes() < 10) ? '0' + time.getMinutes() + ':' : time.getMinutes() + ':'
  let S = (time.getSeconds() < 10) ? '0' + time.getSeconds() : time.getSeconds()
  return H + M + S
}
