import { getToken } from 'utils/store';
import { ElNotification } from 'element-plus';
export default ({url, method, data, params, type}) => {
  // let baseURL = import.meta.env.VITE_BASE_API
  let baseURL = ""
  method = method.toUpperCase()
  url = baseURL + url
  let dataStr = '' // 数据拼接字符串
  if (method == 'GET') {
    params.lpCategory = import.meta.env.VITE_CATEGORY
    if (typeof (params) == 'object') {
      Object.keys(params).forEach(key => {
        dataStr += key + '=' + params[key] + '&'
      })
    }
    if (dataStr !== '') {
      dataStr = dataStr.substr(0, dataStr.lastIndexOf('&'))
    }
    url = url + '?' + dataStr
  } else {
    data.lpCategory = import.meta.env.VITE_CATEGORY
    Object.keys(data).forEach(key => {
      dataStr += key + '=' + data[key] + '&'
    })
    dataStr = dataStr.substr(0, dataStr.lastIndexOf('&'))
  }
  let xhr = new XMLHttpRequest()

  xhr.open(method, url, true)
  xhr.responseType = 'arraybuffer'
  xhr.onload = function () {
    if (this.status === 200) {
      // 提取文件名
      var filename = ''
      var disposition = xhr.getResponseHeader('Content-disposition')
      if (disposition && disposition.indexOf('attachment') !== -1) {
        var filenameRegex = /filename[^;=\n]*=((['"]).*?\2|[^;\n]*)/
        var matches = filenameRegex.exec(disposition)
        if (matches != null && matches[1]) filename = decodeURI(matches[1].replace(/['"]/g, ''))
      }
      var type2 = xhr.getResponseHeader('Content-Type')

      if (typeof File === 'undefined' && typeof Blob === 'undefined') {
        alert('当前浏览器不支持下载，请使用最新浏览器重试')
        return
      }

      var blob = typeof File === 'function'
        ? new File([this.response], filename, { type: type2 })
        : new Blob([this.response], { type: type2 })
      if (typeof window.navigator.msSaveBlob !== 'undefined') {
        window.navigator.msSaveBlob(blob, filename)
      } else {
        var URL = window.URL || window.webkitURL
        var downloadUrl = URL.createObjectURL(blob)
        if (filename) {
          var a = document.createElement('a')
          if (typeof a.download === 'undefined') {
            window.location = downloadUrl
          } else {
            a.href = downloadUrl
            a.download = filename
            document.body.appendChild(a)
            a.click()
          }
        } else {
          let errorRes = JSON.parse(String.fromCharCode.apply(null, new Uint8Array(xhr.response)))
          errorRes.message = decodeURI(escape(errorRes.message))
          if (errorRes.message != '') {
            ElNotification ({
              title: '请求出错',
              message: errorRes.message,
              type: 'error'
            })
          } else {
            ElNotification ({
              title: '文件下载失败',
              type: 'error'
            })
          }
        }
        setTimeout(function () { URL.revokeObjectURL(downloadUrl) }, 100)
      }
    }
  }
  xhr.setRequestHeader('Authorization', ('Bearer ' + getToken()) || '')
  xhr.setRequestHeader('token', getToken() || '')
  if (type == 'JSON') {
    xhr.setRequestHeader('Accept', 'application/json')
    xhr.setRequestHeader('Content-type', 'application/json;charset=UTF-8')
  } else {
    xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded')
  }
  if (method == 'POST') {
    if (type == 'JSON') {
      let params = JSON.stringify(data)
      xhr.send(params)
    } else {
      xhr.send(dataStr)
    }
  } else {
    xhr.send(dataStr)
  }
}
